> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get kubernetes cluster persistent volume

> Returns persistent volume details for a specific kubernetes cluster for the tenant selected by the X-CostGraph-Tenant-ID header



## OpenAPI

````yaml /api-reference/costgraph/openapi.json get /api/v1/tenant/clusters/{cluster_id}/persistent-volumes/{pv_id}
openapi: 3.0.0
info:
  description: Read and manage your CostGraph organization, spend, alerts, and settings.
  title: CostGraph API
  contact: {}
  version: '1.0'
servers:
  - url: https://api.costgraph.ai
security: []
tags:
  - name: ai
    x-group: AI
  - name: ai-serving
    x-group: AI serving
  - name: anomalies
    x-group: Anomalies
  - name: auth
    x-group: Auth
  - name: billing
    x-group: Billing
  - name: billing-export
    x-group: Billing export
  - name: budgets
    x-group: Budgets
  - name: ci
    x-group: CI
  - name: compute-recommendations
    x-group: Compute recommendations
  - name: config
    x-group: Config
  - name: cost
    x-group: Cost
  - name: gpus
    x-group: GPUs
  - name: graphai
    x-group: Graph AI
  - name: infracost
    x-group: Infracost
  - name: integrations
    x-group: Integrations
  - name: invitations
    x-group: Invitations
  - name: kubernetes-clusters
    x-group: Kubernetes clusters
  - name: marketplace
    x-group: Marketplace
  - name: network-requests
    x-group: Network requests
  - name: notifications
    x-group: Notifications
  - name: oauth
    x-group: OAuth
  - name: oauth-clients
    x-group: OAuth clients
  - name: opencost
    x-group: OpenCost
  - name: organization
    x-group: Audit log
  - name: organizations
    x-group: Organizations
  - name: placement-alternatives
    x-group: Placement alternatives
  - name: reports
    x-group: Reports
  - name: service-map
    x-group: Service map
  - name: settings
    x-group: Settings
  - name: sso
    x-group: Single sign-on
  - name: tenants
    x-group: Tenants
  - name: user
    x-group: Users
  - name: virtual-machines
    x-group: Virtual machines
  - name: virtual-tags
    x-group: Virtual tags
  - name: workflows
    x-group: Workflows
paths:
  /api/v1/tenant/clusters/{cluster_id}/persistent-volumes/{pv_id}:
    get:
      tags:
        - kubernetes-clusters
      summary: Get kubernetes cluster persistent volume
      description: >-
        Returns persistent volume details for a specific kubernetes cluster for
        the tenant selected by the X-CostGraph-Tenant-ID header
      parameters:
        - description: Tenant ID
          name: X-CostGraph-Tenant-ID
          in: header
          required: true
          schema:
            type: string
        - description: Kubernetes cluster ID
          name: cluster_id
          in: path
          required: true
          schema:
            type: string
        - description: Persistent volume ID
          name: pv_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/responses.SuccessResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/k8scluster.PersistentVolumeDetail'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    responses.SuccessResponse:
      type: object
      required:
        - message
        - status
      properties:
        data: {}
        message:
          type: string
          example: some message
        status:
          type: string
          example: success
    k8scluster.PersistentVolumeDetail:
      type: object
      required:
        - access_modes
        - claims
        - created_at
        - current_spend
        - disk_id
        - id
        - iops
        - node
        - phase
        - provider
        - provisioner
        - reclaim_policy
        - storage
        - storage_class
        - throughput
        - urgency
        - volume
        - worst_action
        - zone
      properties:
        access_modes:
          type: array
          items:
            type: string
        claims:
          type: integer
        created_at:
          type: string
        current_spend:
          type: number
        disk_id:
          type: string
          x-semantic: resourceId
        id:
          type: string
        iops:
          $ref: '#/components/schemas/k8scluster.PersistentVolumeDimension'
        node:
          type: string
        phase:
          type: string
        pinned_by:
          type: string
          enum:
            - api
            - label
          nullable: true
        pricing_id:
          type: string
          nullable: true
        pricing_pinned:
          type: boolean
        pricing_pins:
          type: object
          additionalProperties:
            type: string
          nullable: true
        pricing_provider:
          type: string
        provider:
          type: string
        provisioner:
          type: string
        reclaim_policy:
          type: string
        recommended_spend:
          description: or null, for no recommendation
          type: number
          nullable: true
        savings:
          description: or null, for no recommendation
          type: number
          nullable: true
        savings_percent:
          description: or null, for no recommendation
          type: number
          nullable: true
        storage:
          $ref: '#/components/schemas/k8scluster.PersistentVolumeDimension'
        storage_class:
          type: string
        throughput:
          $ref: '#/components/schemas/k8scluster.PersistentVolumeDimension'
        urgency:
          type: string
        volume:
          type: string
        worst_action:
          type: string
        zone:
          type: string
    responses.ErrorResponse:
      type: object
      required:
        - message
        - status
      properties:
        message:
          type: string
          example: some message
        status:
          type: string
          example: error
    k8scluster.PersistentVolumeDimension:
      type: object
      required:
        - cost
        - cost_per_month
        - provisioned
        - recommendation
        - recommended_ratio
        - urgency
        - used
        - used_percent
      properties:
        cost:
          type: number
        cost_per_month:
          type: number
        provisioned:
          type: number
        recommendation:
          type: string
        recommended_cost:
          description: or null, for no recommendation
          type: number
          nullable: true
        recommended_provision:
          description: or null, for no recommendation
          type: number
          nullable: true
        recommended_ratio:
          type: number
        savings:
          description: or null, for no recommendation
          type: number
          nullable: true
        urgency:
          type: string
        used:
          type: number
        used_percent:
          type: number
  securitySchemes:
    BearerAuth:
      description: Enter "Bearer {token}"
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.